Package com.oracle.truffle.api.frame

## Interface VirtualFrame

All Superinterfaces:
  `Frame`

    public interface VirtualFrame
    extends Frame

Represents a frame containing values of local variables of the guest language. Instances of this type must not be stored in a field or cast to `Object`. If this is necessary, the frame must be explicitly converted into a materialized frame using the `Frame.materialize()` method.

### Method Summary

### Methods inherited from interface com.oracle.truffle.api.frame.Frame

`getArguments, getBoolean, getByte, getDouble, getFloat, getFrameDescriptor, getInt, getLong, getObject, getValue, isBoolean, isByte, isDouble, isFloat, isInt, isLong, isObject, materialize, setBoolean, setByte, setDouble, setFloat, setInt, setLong, setObject`